SYD-PDS(1)

NAME

syd-pds - Run a command with parent death signal set

SYNOPSIS

syd-pds [-h] [-s signal] {command [args...]}

DESCRIPTION

The syd-pds utility runs a command with the parent death signal set. When the parent process dies, the specified signal will be delivered to the command. The signal defaults to SIGKILL.

OPTIONS

-h | Display help.
-s signal | Set parent death signal to the specified signal. Defaults to SIGKILL.

EXIT CODES

syd-pds exits with the same exit code as the command.

SEE ALSO

syd(1), syd(2), syd(5), syd-lock(1)

syd homepage: https://sydbox.exherbolinux.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.